#include "Trajectoire.h"


void Trajectoire_droite_get_longueur(struct trajectoire_t * trajectoire){
    trajectoire->longueur = distance_points(trajectoire->p1, trajectoire->p2);
}

/// @brief Retourne le point sur la trajectoire en fonction de l'abscisse
/// @param abscisse : compris entre 0 et 1
struct point_xy_t Trajectoire_droite_get_point(struct trajectoire_t * trajectoire, float abscisse){
    struct point_xy_t point;

    point.x = (float) trajectoire->p1.x * (1. - abscisse) + (float) trajectoire->p2.x * abscisse;
    point.y = (float) trajectoire->p1.y * (1. - abscisse) + (float) trajectoire->p2.y * abscisse;
    
    return point;
}